StarObjectSmallGraphicInternal::SDUDGraphic Class Reference documentation

StarObjectSmallGraphicInternal::SDUDGraphic Class Reference

Internal: virtual class to store a SDUD graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SDUDGraphic:

## Public Member Functions
| SDUDGraphic (int id)
| constructor
| ~SDUDGraphic ()
| destructor
std::string | getName () const
| return the object name
virtual std::string | print () const
| basic print function
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor
virtual bool | send (STOFFListenerPtr, STOFFPosition const &, StarObject &, bool)
| try to send the graphic to the listener

## Friends
std::ostream & | operator<< (std::ostream &o, SDUDGraphic const &graph)
| print object data

## Additional Inherited Members
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Detailed Description

Internal: virtual class to store a SDUD graphic.

## Constructor & Destructor Documentation

## ◆ SDUDGraphic()

StarObjectSmallGraphicInternal::SDUDGraphic::SDUDGraphic | ( | int | id | ) |
| inlineexplicit

constructor

Referenced by operator<<, and StarObjectSmallGraphicInternal::SDUDGraphicAnimation::SDUDGraphicAnimation().

## ◆ ~SDUDGraphic()

StarObjectSmallGraphicInternal::SDUDGraphic::~SDUDGraphic | ( |  | ) |

destructor

## Member Function Documentation

## ◆ getName()

std::string StarObjectSmallGraphicInternal::SDUDGraphic::getName | ( |  | ) | const
| inlinevirtual

return the object name

Implements StarObjectSmallGraphicInternal::Graphic.

Referenced by operator<<, and StarObjectSmallGraphicInternal::SDUDGraphicAnimation::operator<<.

## ◆ print()

virtual std::string StarObjectSmallGraphicInternal::SDUDGraphic::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

Reimplemented in StarObjectSmallGraphicInternal::SDUDGraphicAnimation.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SDUDGraphic const & | graph )
| friend

print object data

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx